=== debian/changelog ===
mender-flash (1.0.2-1+ubuntu+noble) stable; urgency=medium

  * Release 1.0.2-1+ubuntu+noble. See online docs for complete changelog

 -- root <root@091ae42699aa>  Tue, 09 Sep 2025 11:52:48 +0000
