=== debian/control ===
Source: mender-flash
Maintainer: Mender Team <mender@northern.tech>
Section: admin
Priority: optional
Standards-Version: 4.0.0
Build-Depends-Indep: cmake, debhelper (>= 10)
Build-Depends: libstdc++-dev
Homepage: https://mender.io

Package: mender-flash
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mender Flash is an utility to flash block devices used by the Mender Client
 to write into the inactive partition during a rootfs update.
