=== debian/changelog ===
mender-flash (1.1.0~git20260105.57af6ee-1+ubuntu+noble+builder2325138823) experimental; urgency=medium

  * Release 1.1.0~git20260105.57af6ee-1+ubuntu+noble+builder2325138823.
    See online docs for complete changelog

 -- root <root@6fff41ff8c94>  Fri, 13 Feb 2026 20:20:01 +0000
